Subject: bug#62216: Odd file corruption in clojure mode and emacs 30 HEAD

From: Jonathon McKitrick <[email-masked]>
Date: Thu, 16 Mar 2023 00:01:12 +0000

I realize this is vague, but I'm seeing it consistently:

I build emacs 30 with native compilation on my M1, and I open my work clojure project, and I see rainbow parens marking a bunch of unmatched parens.
The file will not compile, and the corruption happens simply when I open the file.

I do the exact same thing with emacs 29 built the same way, and I have no issues.

How can I narrow this down to a useful bug report?

Jonathon McKitrick
--
'My other computer is your Linux box.'